
%global meadversion 1.0.1
%global namedversion 1.0.1.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}wildfly-client-config}
%{!?scl:%global pkg_name %{name}}

%define maven_version 1.0.1.Final-redhat-00001

Name:           %{?scl_prefix}wildfly-client-config
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        WildFly Client Configuration
Group:          Development/Java

%if %with mead
Source100: wildfly-client-config-1.0.1.Final-redhat-00001-scm-sources.zip
Source102: wildfly-client-config-1.0.1.Final-redhat-00001.jar
Source103: wildfly-client-config-1.0.1.Final-redhat-00001-sources.jar
Source104: wildfly-client-config-1.0.1.Final-redhat-00001.pom
Source105: wildfly-client-config-1.0.1.Final-redhat-00001-project-sources.tar.gz
%endif

License:        ASL 2.0
URL:            https://github.com/wildfly/wildfly-client-config
Requires:       %{?scl_prefix_eap}jboss-logging >= 0:3.1.4
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
Library for supporting WildFly common client configuration.

%if %with javadoc
%package javadoc
Summary:        Javadoc for wildfly-client-config
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n wildfly-client-config -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/wildfly-client-config-%{namedversion}.jar %{buildroot}%{_javadir}/wildfly-client-config-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/wildfly-client-config-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/wildfly-client-config-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/wildfly-client-config-%{namedversion}-sources.jar %{buildroot}%{_javadir}/wildfly-client-config-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/wildfly-client-config-%{namedversion}
unzip -qq %{_sourcedir}/wildfly-client-config-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/wildfly-client-config-%{namedversion} -x META-INF/\*
%{__ln_s} wildfly-client-config-%{namedversion} %{buildroot}%{_javadocdir}/wildfly-client-config
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%{_javadir}/wildfly-client-config-%{namedversion}.jar
%{_javadir}/wildfly-client-config.jar
%if %with javadoc
%{_javadir}/wildfly-client-config-%{namedversion}-javadoc.jar
%{_javadir}/wildfly-client-config-javadoc.jar
%endif
%{_javadir}/wildfly-client-config-%{namedversion}-sources.jar
%{_javadir}/wildfly-client-config-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/wildfly-client-config-%{namedversion}
%{_javadocdir}/wildfly-client-config
%endif

%changelog
* Tue Aug 28 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 1.0.1-1.Final_redhat_00001.1
- upgrade to 1.0.1.Final-redhat-00001

* Sat Aug 19 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-7.Final_redhat_1.1
- upgrade to 1.0.0.Final-redhat-1

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-6.CR3_redhat_1.1
- upgrade to 1.0.0.CR3-redhat-1

* Sat Jun 24 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-5.CR2_redhat_1.1
- upgrade to 1.0.0.CR2-redhat-1

* Tue Jun 06 2017 Martin Minar <mminar@redhat.com> - 1.0.0-4.Beta5_redhat_1.1
- upgrade to 1.0.0.Beta5-redhat-1

* Wed May 10 2017 Martin Minar <mminar@redhat.com> - 1.0.0-3.Beta4_redhat_1.1
- update to version 1.0.0.Beta4

* Mon Apr 03 2017 Petr Sakar <psakar@redhat.com> - 1.0.0-2.Beta3_redhat_1.1
- upgrade to 1.0.0.Beta3-redhat-1

* Thu Dec 22 2016 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Beta1_redhat_1.1
- release

* Thu Dec 22 2016 David Walluck <dwalluck@redhat.com> - 1.0.0-1.Beta1_redhat_1.1
- release

